#
# spec file for package rubygem-r10k
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-r10k
Version:        1.5.1
Release:        6.3
%define mod_name r10k
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  update-alternatives
Url:            http://github.com/adrienthebo/r10k
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Puppet environment and module deployment
License:        Apache-2.0
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
R10K provides a general purpose toolset for deploying Puppet environments
and modules.
It implements the Puppetfile format and provides a native implementation of
Puppet
dynamic environments.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE" \
  -f

%gem_packages

%changelog
* Sat Jul 30 2016 tampakrap@opensuse.org
- Version bump 1.5.1:
  * 1.4.2:
  * (RK-4) Raise meaningful errors on missing sources
  * (GH-310, RK-36) r10k deploy display -p --detail fails on Ruby 1.8.7
    https://github.com/puppetlabs/r10k/blob/master/CHANGELOG.mkd#142
  * 1.5.0:
  * (GH-57) Git based modules fail to detect presence of git binary
  * (GH-195) (RK-35) Allow sources to specify a custom prefix string
  * (RK-17) Add rugged/libgit2 based Git implementation
  * (RK-24) Add '/etc/puppetlabs/r10k/r10k.yaml' to config search path
  * (RK-25) Warn if both '/etc/r10k.yaml' and '/etc/puppetlabs/r10k/r10k.yaml' exist
  * (RK-31) Remove undocumented search for 'r10k.yaml'
  * (RK-32, RK-33, RK-38) Provide configuration options for Git providers
  * (RK-37) Support higher verbosity levels for r10k version
  * (RK-39, RK-66) Improved logging/messaging
  * (RK-74) Improved log formatting
  * (RK-75) Optional log coloring
  * (GH-265) (RK-11) Unix commands with > 64KiB of output no longer deadlock
  * (GH-142) Use Forge v3 API
  * (RK-16) Decouple Git platform dependent and independent code
  * (RK-55, GH-355) Prevent warnings on Ruby 2.2
  * (RK-65) Switch to using the semantic_puppet gem
  * (RK-48) Ignore deleted versions when fetching latest module version
    https://github.com/puppetlabs/r10k/blob/master/CHANGELOG.mkd#150
  * 1.5.1:
  * (RK-62) Warn when Rugged is compiled without SSH or HTTPS transports
  * (RK-79) Bump minimum required version of faraday_middlware-multi_json
  * (RK-86) Git modules don't properly track branches
    https://github.com/puppetlabs/r10k/blob/master/CHANGELOG.mkd#151
- Get rid of the gemspec and faraday9 patches, they were merged upstream
  * faraday9.patch
  * gemspec.patch
- Recommend the puppetmaster instead of require, because:
  - r10k can be used only for syntax checking of the Puppetfile
  - puppetserver is an alternative to puppetmaster
* Sat Jan 17 2015 tampakrap@opensuse.org
- Version bump 1.4.1:
  * (GH-254) Puppetfile subcommands use non-zero exit codes on errors.
    The Puppetfile install and purge commands would always exit with an exit
    code of 0, regardless of if any errors occurred or if there was no
    Puppetfile available. This has been now corrected so that runtime errors
    cause r10k to exit with a non-zero exit code.
  * (GH-260) Normalize deployed environment names on the command line.
    Version 1.4.0 removed the environment name normalization needed to deploy
    environments that had their directory names normalized; this has been
    remedied so that environment names on the command line are also normalized
    to match the corrections that r10k will make to the environment names.
  * (GH-269) Improved error messages when trying to use non-existent Git refs.
    If a Git module tried to use a Git ref that did not exist, it would output
    a particularly unhelpful error message that didn't indicate what actually
    failed. This has been fixed so that if an invalid ref is used, r10k will
    actually report that the ref could not be used. What a brave new world we
    inhabit!
  * (GH-271)/(GH-275) Report the name of invalid module names.
    The fix for GH-92 released in 1.4.0 added better handling and parsing of
    module names, but also added stricter parsing of module names and disallowed
    invalid characters that Puppet itself could not use. However when r10k
    encountered such an invalid module name, it would not report the module
    with the invalid name, making debugging harder than needed. In 1.4.1 r10k
    when r10k encounters an invalid module name it reports the invalid module
    name in the error message.
- Add requirement to puppet-master, as it doesn't make much sense without it.
* Wed Dec 10 2014 tampakrap@opensuse.org
- Version bump 1.4.0
- Add subversion as Suggests, as it is not very popular for storing puppet modules
- Add patch to make it work with faraday 0.9.0
- Add patch to bump dependencies, to match the ones we provide in factory
* Wed Nov 19 2014 tampakrap@opensuse.org
- Version bump 1.3.5
- Git is a recommended dependency, r10k can work just by calling puppet deploy
- Puppet is a recommended dependency for the above reason
- Convert it to the new schema for gem packages
- Rename it for the above reason
* Thu Nov  7 2013 mrueckert@suse.de
- requires git
* Thu Oct 24 2013 mrueckert@suse.de
- update to 1.1.0
* Tue Aug 13 2013 mrueckert@suse.de
- initial package
